Subject: Re: [Manycouches] Off-topic: making WebRTC work in practice (Re: a brief pondering)

From: Toerless Eckert <[email-masked]>
Date: Wed, 8 Apr 2020 23:46:24 +0200

[adding manycouches as this is really technical. ]
[can not well Bcc ietf as mailman seems to hate it]

Thanks for the insight, Cullen, Harald.

I can well understand that it is frustrating if you really want to build
a high-functional browser based app and are then not given all the
necessary support by browsers. It also makes perfect sense though for google
to only care for where their money comes from, and if that
means that android is the reference for what to do across all other
platforms and forces this onto W3C, then one just needs to take
this into account accordingly and make the community understand those
limitations of RTCweb/W3C solutions.

The question for IETF/manycouches is IMHO, what IETFs priority order of
requirements against conference tools in the future should be.
I would ideally like an open source solution working on Mac, Windows,
Linux. In other communities i would include android, but i think for
our work style its irrelevant, and if the solution is open 
source, someone will port it from linux to android anyhow when needed.
Could the solution be RTCweb based ? Sure, why not, but thats just 
an option to achieve such results, it should not be a mandate.

I do not quite understand Haralds argument, that full standards 
should only include what vendors utimately implemented in draft standard stage.
Assume that there are only 2 vendors implementing some protocol and they 
just could not be bothered to implement the security requirements,
does that mean the full IETF standard should drop the security requirements ?

I am not sure though how this all relates to what i thought the
root of the discusion was, diagnostics: 

I would certainly be interested to better understand what tracing options at
the RTCweb ap-to-browser API level exist, because my past decades
troubleshooting of (native) conferencing app networking issues always
came down to logs, syscall-traces and network traces. All the TLS
security of course makes that tracing a lot more difficult.

Cheers
    Toerless

On Thu, Apr 02, 2020 at 02:30:21PM -0600, Cullen Jennings wrote:
> 
> Many of the things you need to do this were identified in developing WebRTC and put in specs. Many of them had the API in W3C specs that you need. But then the W3C marked them at risk because browser vendors did not implement them and removed them. Now if you write a patch to browser them implements them, they will not accept the patch because it is not in the spec. 
> 
> The net effect is what is possible in the browsers experience is just worse than what is possible with non browser clients (it did not need to be like this but it is). Because of this you see all the major meeting systems heavily push users towards using a downloaded client instead of the browser experience. 
> 
> The basic problem AFAIC is that at W3C, the browser have a defacto veto on anything so the API is not a negotiation between the the apps need and the browsers provide, it is more of a fait acompli of what Chrome is willing to provide. Anything chrome does not want to do, will effectively get removed from the spec because it will not have enough implementations. Once the app vendors realized that, most of them moved their focus outside of the browsers which is really unfortunate as the browsers protect the users from many security problems you are seeing today. 
> 
> > On Apr 1, 2020, at 5:53 AM, Carsten Bormann <[email-masked]> wrote:
> > 
> > In the university, a lot of WebRTC is using Jitsi as a tool.
> > This works mostly well, with occasional surprises.
> > What we could use now is a better way to diagnose these surprises.
> > This requires WebRTC knowledge that our IT people don???t have.
> > A WebRTC troubleshooting guide that I could point them to would be most helpful.
> > (Debugging and fixing Jitsi so it works reliably with both Firefox and Chrome would also help.)
> > 
> > Grüße, Carsten
> > 
> > 
> >> On 2020-03-22, at 06:45, Carsten Bormann <[email-masked]> wrote:
> >> 
> >> On 2020-03-21, at 16:54, Livingood, Jason <[email-masked]> wrote:
> >>> 
> >>> what can this community (and similar/adjacent ones) do productively together to help
> >> 
> >> The one thing that would be most useful for me right now would be a document with operational considerations for keeping WebRTC running (e.g., How not to mess it up with your firewall).
> >> 
> >> Grüße, Carsten
> >> 
> > 

-- 
---
[email-masked]